Package be.fgov.ehealth.rn.cbsspersonlegaldata.v1

# Class CbssPersonRequestType

java.lang.Object
be.fgov.ehealth.rn.cbsspersonlegaldata.v1.CbssPersonRequestType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class CbssPersonRequestType extends Object implements Serializable
Type containing the data necessary to create a new person or update person data

Java class for CbssPersonRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CbssPersonRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Name" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}NameInfoDeclarationType" minOccurs="0"/>
             <element name="Nationalities" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}NationalitiesDeclarationType" minOccurs="0"/>
             <element name="Birth" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}BirthInfoDeclarationType" minOccurs="0"/>
             <element name="Decease" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}DeceaseInfoDeclarationType" minOccurs="0"/>
             <element name="Gender" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}GenderInfoDeclarationType" minOccurs="0"/>
             <element name="CivilStates" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}CivilStatesDeclarationType" minOccurs="0"/>
             <element name="Address" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}AddressDeclarationType" minOccurs="0"/>
             <element name="ContactAddress" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}ContactAddressDeclarationType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CbssPersonRequestType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddressDeclarationType`
  `getAddress()`
  Gets the value of the address property.
  `BirthInfoDeclarationType`
  `getBirth()`
  Gets the value of the birth property.
  `CivilStatesDeclarationType`
  `getCivilStates()`
  Gets the value of the civilStates property.
  `ContactAddressDeclarationType`
  `getContactAddress()`
  Gets the value of the contactAddress property.
  `DeceaseInfoDeclarationType`
  `getDecease()`
  Gets the value of the decease property.
  `GenderInfoDeclarationType`
  `getGender()`
  Gets the value of the gender property.
  `NameInfoDeclarationType`
  `getName()`
  Gets the value of the name property.
  `NationalitiesDeclarationType`
  `getNationalities()`
  Gets the value of the nationalities property.
  `void`
  `setAddress(AddressDeclarationType value)`
  Sets the value of the address property.
  `void`
  `setBirth(BirthInfoDeclarationType value)`
  Sets the value of the birth property.
  `void`
  `setCivilStates(CivilStatesDeclarationType value)`
  Sets the value of the civilStates property.
  `void`
  `setContactAddress(ContactAddressDeclarationType value)`
  Sets the value of the contactAddress property.
  `void`
  `setDecease(DeceaseInfoDeclarationType value)`
  Sets the value of the decease property.
  `void`
  `setGender(GenderInfoDeclarationType value)`
  Sets the value of the gender property.
  `void`
  `setName(NameInfoDeclarationType value)`
  Sets the value of the name property.
  `void`
  `setNationalities(NationalitiesDeclarationType value)`
  Sets the value of the nationalities property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CbssPersonRequestType

    public CbssPersonRequestType()

- ## Method Details

  - ### getName

    public NameInfoDeclarationType getName()
    Gets the value of the name property.
    Returns:
      possible object is `NameInfoDeclarationType`

  - ### setName

    public void setName(NameInfoDeclarationType value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `NameInfoDeclarationType`

  - ### getNationalities

    public NationalitiesDeclarationType getNationalities()
    Gets the value of the nationalities property.
    Returns:
      possible object is `NationalitiesDeclarationType`

  - ### setNationalities

    public void setNationalities(NationalitiesDeclarationType value)
    Sets the value of the nationalities property.
    Parameters:
      `value` - allowed object is `NationalitiesDeclarationType`

  - ### getBirth

    public BirthInfoDeclarationType getBirth()
    Gets the value of the birth property.
    Returns:
      possible object is `BirthInfoDeclarationType`

  - ### setBirth

    public void setBirth(BirthInfoDeclarationType value)
    Sets the value of the birth property.
    Parameters:
      `value` - allowed object is `BirthInfoDeclarationType`

  - ### getDecease

    public DeceaseInfoDeclarationType getDecease()
    Gets the value of the decease property.
    Returns:
      possible object is `DeceaseInfoDeclarationType`

  - ### setDecease

    public void setDecease(DeceaseInfoDeclarationType value)
    Sets the value of the decease property.
    Parameters:
      `value` - allowed object is `DeceaseInfoDeclarationType`

  - ### getGender

    public GenderInfoDeclarationType getGender()
    Gets the value of the gender property.
    Returns:
      possible object is `GenderInfoDeclarationType`

  - ### setGender

    public void setGender(GenderInfoDeclarationType value)
    Sets the value of the gender property.
    Parameters:
      `value` - allowed object is `GenderInfoDeclarationType`

  - ### getCivilStates

    public CivilStatesDeclarationType getCivilStates()
    Gets the value of the civilStates property.
    Returns:
      possible object is `CivilStatesDeclarationType`

  - ### setCivilStates

    public void setCivilStates(CivilStatesDeclarationType value)
    Sets the value of the civilStates property.
    Parameters:
      `value` - allowed object is `CivilStatesDeclarationType`

  - ### getAddress

    public AddressDeclarationType getAddress()
    Gets the value of the address property.
    Returns:
      possible object is `AddressDeclarationType`

  - ### setAddress

    public void setAddress(AddressDeclarationType value)
    Sets the value of the address property.
    Parameters:
      `value` - allowed object is `AddressDeclarationType`

  - ### getContactAddress

    public ContactAddressDeclarationType getContactAddress()
    Gets the value of the contactAddress property.
    Returns:
      possible object is `ContactAddressDeclarationType`

  - ### setContactAddress

    public void setContactAddress(ContactAddressDeclarationType value)
    Sets the value of the contactAddress property.
    Parameters:
      `value` - allowed object is `ContactAddressDeclarationType`